S60 3rd Edition SDK for Symbian OS Example Applications Guide

# CHelloWorldBasicAppView Class Reference

List of all members.

## Public Member Functions
virtual | ~CHelloWorldBasicAppView ()
void | Draw (const TRect &aRect) const
virtual void | SizeChanged ()
## Static Public Member Functions
static CHelloWorldBasicAppView * | NewL (const TRect &aRect)
static CHelloWorldBasicAppView * | NewLC (const TRect &aRect)
## Private Member Functions
void | ConstructL (const TRect &aRect)
| CHelloWorldBasicAppView ()

## Detailed Description

Definition at line 23 of file helloworldbasicappview.h.

## Constructor & Destructor Documentation

CHelloWorldBasicAppView::~CHelloWorldBasicAppView | ( |  | ) | `[virtual]`

| ~CHelloWorldBasicAppView Virtual Destructor. Definition at line 80 of file helloworldbasicappview.cpp.
    00081     {
    00082     // No implementation required
    00083     }

CHelloWorldBasicAppView::CHelloWorldBasicAppView | ( |  | ) | `[private]`

| CHelloWorldBasicAppView. C++ default constructor. Definition at line 69 of file helloworldbasicappview.cpp.
    00070     {
    00071     // No implementation required
    00072     }

## Member Function Documentation

CHelloWorldBasicAppView * CHelloWorldBasicAppView::NewL | ( | const TRect & | aRect | ) | `[static]`

  | NewL. Two-phased constructor. Create a CHelloWorldBasicAppView object, which will draw itself to aRect. Parameters:
  | aRect | The rectangle this view will be drawn to.
Returns: a pointer to the created instance of CHelloWorldBasicAppView. Definition at line 27 of file helloworldbasicappview.cpp. References NewLC().
    00028     {
    00029     CHelloWorldBasicAppView* self = CHelloWorldBasicAppView::NewLC( aRect );
    00030     CleanupStack::Pop( self );
    00031     return self;
    00032     }

CHelloWorldBasicAppView * CHelloWorldBasicAppView::NewLC | ( | const TRect & | aRect | ) | `[static]`

  | NewLC. Two-phased constructor. Create a CHelloWorldBasicAppView object, which will draw itself to aRect. Parameters:
  | aRect | Rectangle this view will be drawn to.
Returns: A pointer to the created instance of CHelloWorldBasicAppView. Definition at line 39 of file helloworldbasicappview.cpp. References ConstructL().
    00040     {
    00041     CHelloWorldBasicAppView* self = new ( ELeave ) CHelloWorldBasicAppView;
    00042     CleanupStack::PushL( self );
    00043     self->ConstructL( aRect );
    00044     return self;
    00045     }

void CHelloWorldBasicAppView::Draw | ( | const TRect & | aRect | ) | const

  | From CCoeControl, Draw Draw this CHelloWorldBasicAppView to the screen. Parameters:
  | aRect | the rectangle of this view that needs updating
Definition at line 91 of file helloworldbasicappview.cpp.
    00092     {
    00093     // Get the standard graphics context
    00094     CWindowGc& gc = SystemGc();
    00095
    00096     // Gets the control's extent
    00097     TRect drawRect( Rect());
    00098
    00099     // Clears the screen
    00100     gc.Clear( drawRect );
    00101
    00102         }

void CHelloWorldBasicAppView::SizeChanged | ( |  | ) | `[virtual]`

| From CoeControl, SizeChanged. Called by framework when the view size is changed. Definition at line 109 of file helloworldbasicappview.cpp.
    00110     {
    00111     DrawNow();
    00112     }

void CHelloWorldBasicAppView::ConstructL | ( | const TRect & | aRect | ) | `[private]`

  | ConstructL 2nd phase constructor. Perform the second phase construction of a CHelloWorldBasicAppView object. Parameters:
  | aRect | The rectangle this view will be drawn to.
Definition at line 52 of file helloworldbasicappview.cpp.
    00053     {
    00054     // Create a window for this application view
    00055     CreateWindowL();
    00056
    00057     // Set the windows size
    00058     SetRect( aRect );
    00059
    00060     // Activate the window, which makes it ready to be drawn
    00061     ActivateL();
    00062     }

© Nokia 2006 |